
Foreman - Refactor #34198

Preview of registration and host_init_config templates

12/23/2021 01:41 PM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee: Leos Stejskal   

Category: Host registration   

Target version:    

Difficulty:  Fixed in Releases: 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9009,

https://github.com/theforeman/foreman/p

ull/9033

  

Description

Allow preview of registration templates without selecting hosts

List all hosts (managed & un-managed) for preview of host_init_config template

From community post: https://community.theforeman.org/t/provisioning-template-preview-is-blank-and-no-hosts-listed/26588

Associated revisions

Revision 1aeec1f5 - 01/24/2022 04:48 PM - Leos Stejskal

Fixes #34198 - Registration and host_init_config templates previews

Make Global registration template previewable

Do not require host selection for registration templates

Show managed & unmanaged hosts for host_init_config template preview

History

#1 - 12/23/2021 02:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9009 added

#2 - 01/14/2022 12:25 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9033 added

#3 - 01/24/2022 04:49 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#4 - 01/24/2022 05:01 PM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1aeec1f551d0fc28c857743d10487fc9216127be.
